<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Printout;

final class PickupReceipt implements PrintoutInterface
{
    /**
     * @var string
     */
    private $receipt;

    private function __construct(string $receipt)
    {
        $this->receipt = $receipt;
    }

    /**
     * {@inheritdoc}
     */
    public function getContents(): string
    {
        return $this->receipt;
    }
}
